gnutls_x509_crl_sign(3)

NAME
gnutls_x509_crl_sign - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crl_sign(gnutls_x509_crl_t crl, gnutls_x509_crt_t issuer, gnutls_x509_privkey_t issuer_key);

ARGUMENTS

gnutls_x509_crl_t crl
    should contain a gnutls_x509_crl_t structure

gnutls_x509_crt_t issuer
    is the certificate of the certificate issuer

gnutls_x509_privkey_t issuer_key
    holds the issuer's private key

DESCRIPTION
This function is the same a gnutls_x509_crl_sign2() with no flags, and SHA1 as the hash algorithm.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

DEPRECATED
Use gnutls_x509_crl_privkey_sign().

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.